Subject: Re: [Raw] [Detnet] WG adoption poll on draft-mirsky-detnet-ip-oam-03

From: Greg Mirsky <[email-masked]>
Date: Mon, 31 Aug 2020 12:39:42 -0700

Hi Pascal,
thank you for your suggestions. I'll apply the editorial fix in the next
update of the draft, hope that is acceptable.
We've discussed your suggestions with the
authors draft-theoleyre-raw-oam-support.  Perhaps it might be more
appropriate to discuss these topics in the new draft that Lou has
recommended at the RAW WG meeting. The work has already started and we are
planning to share the first version before IETF-109. Do you think that
this is a reasonable approach?
I've added my answers, notes below in-line under GIM>> tag.

Kind regards,
Greg

On Thu, Aug 27, 2020 at 12:43 AM Pascal Thubert (pthubert) <
[email-masked]> wrote:

> Hello Greg:
>
>
>
> Please find some review comments below
>
>
>
> P4, 1st sentence: Nit; “specified” -> “is specified”
>
>
>
> P4 section 3.1: We need to discuss the attack vector whereby the attacker
> would flood the DetNet Path with forged OAM and consume the available
> bandwidth
>
GIM>> Such a scenario is more likely applicable to DetNet in general. If
you agree, it will be considered in the new document that describes OAM in
DetNet.

>
>
> P4 section 3.2: We need to elaborate on the OAM behavior if there is a
> replication point. Also, how it plays with coding.
>
GIM>> I think that DetNet WG decided that PREOF is supported only in DetNet
with MPLS data plane. I agree with you, the document that defines OAM
functions specific to PREOF is required.

>
>
> P5 Section 3: Suggestion to add 2 subsections,
>
>    - One on the 6TiSCH model that is echoed in the the personal sub of
>    RAW architecture, see
>    https://tools.ietf.org/html/draft-pthubert-raw-architecture-04#section-7,
>    in particular section 7.3.
>
> GIM>> Thank you for your recommendation, will address this topic in the
new draft.

>
>    -
>    - One on IPPM and iOAM where the measurement fields are in the packet
>    header, inserted by the source (or encapsulator)
>
> GIM>> Thank you for this question! We will certainly discuss the
applicability of the methods to collect on-path telemetry information and
transport it for processing in the new DetNet OAM draft (and will add a
section on specifics of RAW to draft-theoleyre-raw-oam-support).

>
>    -
>
>
>
> Take care,
>
>
>
> Pascal
>
>
>
> *From:* detnet <[email-masked]> *On Behalf Of *Greg Mirsky
> *Sent:* lundi 17 août 2020 01:04
> *To:* Janos Farkas <Janos.Farkas=[email-masked]>
> *Cc:* DetNet WG <[email-masked]>
> *Subject:* Re: [Detnet] WG adoption poll on draft-mirsky-detnet-ip-oam-03
>
>
>
> Hi Janos, Lou, et al.,
>
> yes/support adoption as the co-author of the draft.
>
> The draft is on the Informational track as the authors don't see the need
> to define any new mechanism for OAM in DetNet over IP.
>
>
>
> Regards,
>
> Greg
>
>
>
> On Fri, Aug 14, 2020 at 8:50 AM Janos Farkas <Janos.Farkas=
> [email-masked]> wrote:
>
> Hi,
>
>
>
> This is start of a three week poll on making
>
> draft-mirsky-detnet-ip-oam-03 a working group document. Please
>
> send email to the list indicating "yes/support" or "no/do not
>
> support".  If indicating no, please state your reservations with the
>
> document.  If yes, please also feel free to provide comments you'd
>
> like to see addressed once the document is a WG document.
>
>
>
> The poll ends September 4.
>
>
>
> Regards,
>
> Janos and Lou
>
> _______________________________________________
> detnet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/detnet
>
>